Skip to main content
GET
/
api
/
btc
/
addresses
/
{address}
/
utxos
Get unspent outputs for address
curl --request GET \
  --url https://nexus.gerowallet.io/api/btc/addresses/{address}/utxos \
  --header 'Authorization: Bearer <token>'
[
  {
    "txid": "<string>",
    "vout": 123,
    "value": 123,
    "status": {
      "confirmed": true,
      "blockHeight": 123,
      "blockHash": "<string>",
      "blockTime": 123
    }
  }
]

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

address
string
required
Required string length: 14 - 128
Pattern: ^[a-zA-HJ-NP-Z0-9]{14,128}$

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

200 - */*

OK

txid
string

Funding txid

vout
integer<int32>

Output index in the funding tx

value
integer<int64>

Value in satoshis

status
object

Status (confirmed flag, block height, block hash, block time)